### Hierarchy

- NetworkInterfaceBase
  - NetworkInterfaceInfoIPv4

## Index

### Properties

- address
- cidr
- family
- internal
- mac
- netmask

## Properties

### address

address: string

Inherited from NetworkInterfaceBase.address

- Defined in node_modules/@types/node/os.d.ts:15

### cidr

cidr: string | null

Inherited from NetworkInterfaceBase.cidr

- Defined in node_modules/@types/node/os.d.ts:19

### family

family: "IPv4"

- Defined in node_modules/@types/node/os.d.ts:23

### internal

internal: boolean

Inherited from NetworkInterfaceBase.internal

- Defined in node_modules/@types/node/os.d.ts:18

### mac

mac: string

Inherited from NetworkInterfaceBase.mac

- Defined in node_modules/@types/node/os.d.ts:17

### netmask

netmask: string

Inherited from NetworkInterfaceBase.netmask

- Defined in node_modules/@types/node/os.d.ts:16

Generated using TypeDoc